commit:     1e26c0d965e1d8d070c19d359fb43e6a70bf91ce
Author:     Davide Pesavento <pesa <AT> gentoo <DOT> org>
AuthorDate: Sat Jul 26 09:53:30 2014 +0000
Commit:     Davide Pesavento <pesa <AT> gentoo <DOT> org>
CommitDate: Sat Jul 26 09:53:30 2014 +0000
URL:        
http://git.overlays.gentoo.org/gitweb/?p=proj/qt.git;a=commit;h=1e26c0d9

[qt5-build.eclass] Extend QT5_GENTOO_CONFIG syntax.

A single '!' as first element of a triplet always evaluates as false.

---
 eclass/qt5-build.eclass | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/eclass/qt5-build.eclass b/eclass/qt5-build.eclass
index 84d1ceb..00456df 100644
--- a/eclass/qt5-build.eclass
+++ b/eclass/qt5-build.eclass
@@ -609,7 +609,7 @@ qt5_install_module_qconfigs() {
                local macro=${x}
                macro=$(tr 'a-z-' 'A-Z_' <<< "${macro}")
 
-               if [[ -z ${flag} ]] || use ${flag}; then
+               if [[ -z ${flag} ]] || { [[ ${flag} != '!' ]] && use ${flag}; 
}; then
                        [[ -n ${feature} ]] && QCONFIG_ADD+=("${feature}")
                        [[ -n ${macro} ]] && QCONFIG_DEFINE+=("QT_${macro}")
                else

Reply via email to